On 12/15/09 11:49 PM, Tres Seaver wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> Hanno Schlichting wrote:
>> Log message for revision 106536:
>>    Include distribute, so we can use it in presence of the 
>> allow-picked-versions=false
>>
>>
>> Changed:
>>    U   zopetoolkit/trunk/ztk.cfg
>>
>> -=-
>> Modified: zopetoolkit/trunk/ztk.cfg
>> ===================================================================
>> --- zopetoolkit/trunk/ztk.cfg        2009-12-15 15:33:38 UTC (rev 106535)
>> +++ zopetoolkit/trunk/ztk.cfg        2009-12-15 15:41:19 UTC (rev 106536)
>> @@ -250,6 +250,7 @@
>>   # Dependencies:
>>
>>   ClientForm = 0.2.10
>> +distribute = 0.6.10
>>   docutils = 0.5
>>   infrae.subversion = 1.4.5
>>   Jinja2 = 2.1.1
>
> I'm not so sure that we want to push distribute into the ZTK
> dependencies:  can you explain that more clearly?

This is in the ztk.cfg, not the setup.py.  So it isn't installed per se 
as a dependency.

*If* you're using distribute and configured buildout not to pick 
versions by hand, this way at least you won't get an error.

I suspect there's a setuptools=someversion somewhere in that ztk.cfg, too.

Seems safe to me.  If zc.buildout is in there, it ought to be 1.4.3, 
btw, to prevent distribute upgrades from recursing infinitely.


Reinout


-- 
Reinout van Rees - rein...@vanrees.org - http://reinout.vanrees.org
Software developer at http://www.thehealthagency.com
"Military engineers build missiles. Civil engineers build targets"

_______________________________________________
Zope-Dev maillist  -  Zope-Dev@zope.org
https://mail.zope.org/mailman/listinfo/zope-dev
**  No cross posts or HTML encoding!  **
(Related lists - 
 https://mail.zope.org/mailman/listinfo/zope-announce
 https://mail.zope.org/mailman/listinfo/zope )

Reply via email to